org.apache.xmlbeans.impl.xb.xsdschema

## Interface SimpleDerivationSet.Member2

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlTokenSource

All Known Implementing Classes:
  SimpleDerivationSetImpl, SimpleDerivationSetImpl.MemberImpl2

Enclosing interface:
  SimpleDerivationSet

    public static interface SimpleDerivationSet.Member2
    extends XmlAnySimpleType

An anonymous inner XML type. This is a list type whose items are org.apache.xmlbeans.impl.xb.xsdschema.SimpleDerivationSet$Member2$Item.

### Nested Class Summary

Nested Classes
`static interface` `SimpleDerivationSet.Member2.Item` An anonymous inner XML type.

### Field Summary

Fields
`static ElementFactory<SimpleDerivationSet.Member2>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`List` `getListValue()`
`void` `setListValue(List<?> list)`
`List` `xgetListValue()`

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<SimpleDerivationSet.Member2> Factory

#### type

    static final SchemaType type

### Method Detail

#### getListValue

    List getListValue()

#### xgetListValue

    List xgetListValue()

#### setListValue

    void setListValue(List<?> list)